> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vaults.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Create transaction intent quote

> Get transaction intent quote for cross-chain or same-chain position changes. Returns EIP-712 payload for signing and fee breakdown.



## OpenAPI

````yaml https://api.vaults.fyi/alpha/documentation/json post /alpha/transactions/intent/getQuote
openapi: 3.0.3
info:
  title: Vaults.fyi Alpha API
  version: 0.1.0
  description: >-
    Alpha API endpoints for features in early access. These endpoints are not
    included in the main API documentation and may change without notice.
servers:
  - url: https://api.vaults.fyi
    description: Vaults.fyi Alpha API
security: []
tags:
  - name: Cross Chain
  - name: CCTP Bridge
  - name: SVM
  - name: Holders
  - name: Advanced Analytics
  - name: Historical Positions
paths:
  /alpha/transactions/intent/getQuote:
    post:
      tags:
        - Cross Chain
      summary: Create transaction intent quote
      description: >-
        Get transaction intent quote for cross-chain or same-chain position
        changes. Returns EIP-712 payload for signing and fee breakdown.
      operationId: createTransactionIntentQuote
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                userAddress:
                  type: string
                  pattern: ^0x[a-fA-F0-9]{40}$
                  description: User wallet address
                inputPosition:
                  type: object
                  properties:
                    address:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: Token contract address
                    network:
                      type: string
                      enum:
                        - mainnet
                        - optimism
                        - arbitrum
                        - polygon
                        - gnosis
                        - base
                        - unichain
                        - swellchain
                        - celo
                        - worldchain
                        - berachain
                        - ink
                        - bsc
                        - hyperliquid
                        - plasma
                        - avalanche
                        - katana
                        - linea
                        - mega-eth
                        - monad
                        - etherlink
                        - eip155:1
                        - eip155:10
                        - eip155:42161
                        - eip155:137
                        - eip155:100
                        - eip155:8453
                        - eip155:130
                        - eip155:1923
                        - eip155:42220
                        - eip155:480
                        - eip155:80094
                        - eip155:57073
                        - eip155:56
                        - eip155:999
                        - eip155:9745
                        - eip155:43114
                        - eip155:747474
                        - eip155:59144
                        - eip155:4326
                        - eip155:143
                        - eip155:42793
                      description: Network name or CAIP identifier
                    amount:
                      type: string
                      description: Amount in base units
                  required:
                    - address
                    - network
                    - amount
                  additionalProperties: false
                  description: Input position details
                outputPosition:
                  type: object
                  properties:
                    address:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: Token contract address
                    network:
                      type: string
                      enum:
                        - mainnet
                        - optimism
                        - arbitrum
                        - polygon
                        - gnosis
                        - base
                        - unichain
                        - swellchain
                        - celo
                        - worldchain
                        - berachain
                        - ink
                        - bsc
                        - hyperliquid
                        - plasma
                        - avalanche
                        - katana
                        - linea
                        - mega-eth
                        - monad
                        - etherlink
                        - eip155:1
                        - eip155:10
                        - eip155:42161
                        - eip155:137
                        - eip155:100
                        - eip155:8453
                        - eip155:130
                        - eip155:1923
                        - eip155:42220
                        - eip155:480
                        - eip155:80094
                        - eip155:57073
                        - eip155:56
                        - eip155:999
                        - eip155:9745
                        - eip155:43114
                        - eip155:747474
                        - eip155:59144
                        - eip155:4326
                        - eip155:143
                        - eip155:42793
                      description: Network name or CAIP identifier
                  required:
                    - address
                    - network
                  additionalProperties: false
                  description: Output position details
                feeToken:
                  type: object
                  properties:
                    address:
                      type: string
                      pattern: ^0x[a-fA-F0-9]{40}$
                      description: Fee token contract address
                    network:
                      type: string
                      enum:
                        - mainnet
                        - optimism
                        - arbitrum
                        - polygon
                        - gnosis
                        - base
                        - unichain
                        - swellchain
                        - celo
                        - worldchain
                        - berachain
                        - ink
                        - bsc
                        - hyperliquid
                        - plasma
                        - avalanche
                        - katana
                        - linea
                        - mega-eth
                        - monad
                        - etherlink
                        - eip155:1
                        - eip155:10
                        - eip155:42161
                        - eip155:137
                        - eip155:100
                        - eip155:8453
                        - eip155:130
                        - eip155:1923
                        - eip155:42220
                        - eip155:480
                        - eip155:80094
                        - eip155:57073
                        - eip155:56
                        - eip155:999
                        - eip155:9745
                        - eip155:43114
                        - eip155:747474
                        - eip155:59144
                        - eip155:4326
                        - eip155:143
                        - eip155:42793
                      description: Network name or CAIP identifier
                  required:
                    - address
                    - network
                  additionalProperties: false
                  description: Fee token details
                provider:
                  type: string
                  enum:
                    - biconomy
                    - rhinestone
                  description: Provider name
              required:
                - userAddress
                - inputPosition
                - outputPosition
                - feeToken
                - provider
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  payloadToSign:
                    type: object
                    properties:
                      domain:
                        type: object
                        properties:
                          name:
                            type: string
                          version:
                            type: string
                          chainId:
                            type: number
                          verifyingContract:
                            type: string
                        required:
                          - name
                          - chainId
                          - verifyingContract
                        additionalProperties: false
                        description: EIP-712 domain data
                      types:
                        type: object
                        additionalProperties:
                          type: array
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                              type:
                                type: string
                            required:
                              - name
                              - type
                            additionalProperties: false
                        description: EIP-712 type definitions
                      message:
                        type: object
                        additionalProperties: {}
                        description: Message data to be signed
                      primaryType:
                        type: string
                        description: Primary type name (e.g., "Permit")
                    required:
                      - domain
                      - types
                      - message
                      - primaryType
                    additionalProperties: false
                    description: EIP-712 payload for user to sign
                  setupTransactions:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: object
                        properties:
                          to:
                            type: string
                            pattern: ^0x[a-fA-F0-9]{40}$
                          chainId:
                            type: integer
                            exclusiveMinimum: true
                            minimum: 0
                          data:
                            type: string
                          value:
                            type: string
                        required:
                          - to
                          - chainId
                        additionalProperties: false
                    description: >-
                      Transactions that need to be executed before the intent
                      execution. Grouped by chain ID.
                  fees:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - bridge
                            - gas
                            - orchestrator
                            - protocol
                        token:
                          type: object
                          properties:
                            address:
                              type: string
                              pattern: ^0x[a-fA-F0-9]{40}$
                              description: Token contract address
                            network:
                              type: string
                              enum:
                                - mainnet
                                - optimism
                                - arbitrum
                                - polygon
                                - gnosis
                                - base
                                - unichain
                                - swellchain
                                - celo
                                - worldchain
                                - berachain
                                - ink
                                - bsc
                                - hyperliquid
                                - plasma
                                - avalanche
                                - katana
                                - linea
                                - mega-eth
                                - monad
                                - etherlink
                                - eip155:1
                                - eip155:10
                                - eip155:42161
                                - eip155:137
                                - eip155:100
                                - eip155:8453
                                - eip155:130
                                - eip155:1923
                                - eip155:42220
                                - eip155:480
                                - eip155:80094
                                - eip155:57073
                                - eip155:56
                                - eip155:999
                                - eip155:9745
                                - eip155:43114
                                - eip155:747474
                                - eip155:59144
                                - eip155:4326
                                - eip155:143
                                - eip155:42793
                              description: Token network name or CAIP identifier
                            decimals:
                              type: number
                              description: Token decimals
                          required:
                            - address
                            - network
                            - decimals
                          additionalProperties: false
                        amount:
                          type: string
                          description: Fee amount in base units
                      required:
                        - type
                        - token
                        - amount
                      additionalProperties: false
                    description: Breakdown of all fees
                  totalCost:
                    type: array
                    items:
                      type: object
                      properties:
                        address:
                          type: string
                          pattern: ^0x[a-fA-F0-9]{40}$
                          description: Asset contract address
                        network:
                          type: string
                          enum:
                            - mainnet
                            - optimism
                            - arbitrum
                            - polygon
                            - gnosis
                            - base
                            - unichain
                            - swellchain
                            - celo
                            - worldchain
                            - berachain
                            - ink
                            - bsc
                            - hyperliquid
                            - plasma
                            - avalanche
                            - katana
                            - linea
                            - mega-eth
                            - monad
                            - etherlink
                            - eip155:1
                            - eip155:10
                            - eip155:42161
                            - eip155:137
                            - eip155:100
                            - eip155:8453
                            - eip155:130
                            - eip155:1923
                            - eip155:42220
                            - eip155:480
                            - eip155:80094
                            - eip155:57073
                            - eip155:56
                            - eip155:999
                            - eip155:9745
                            - eip155:43114
                            - eip155:747474
                            - eip155:59144
                            - eip155:4326
                            - eip155:143
                            - eip155:42793
                          description: Asset network name or CAIP identifier
                        decimals:
                          type: number
                          description: Asset decimals
                        amount:
                          type: string
                          description: Amount in base units
                      required:
                        - address
                        - network
                        - decimals
                        - amount
                      additionalProperties: false
                    description: Total cost including all fees
                  receivedPosition:
                    type: object
                    properties:
                      address:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                        description: Asset contract address
                      network:
                        type: string
                        enum:
                          - mainnet
                          - optimism
                          - arbitrum
                          - polygon
                          - gnosis
                          - base
                          - unichain
                          - swellchain
                          - celo
                          - worldchain
                          - berachain
                          - ink
                          - bsc
                          - hyperliquid
                          - plasma
                          - avalanche
                          - katana
                          - linea
                          - mega-eth
                          - monad
                          - etherlink
                          - eip155:1
                          - eip155:10
                          - eip155:42161
                          - eip155:137
                          - eip155:100
                          - eip155:8453
                          - eip155:130
                          - eip155:1923
                          - eip155:42220
                          - eip155:480
                          - eip155:80094
                          - eip155:57073
                          - eip155:56
                          - eip155:999
                          - eip155:9745
                          - eip155:43114
                          - eip155:747474
                          - eip155:59144
                          - eip155:4326
                          - eip155:143
                          - eip155:42793
                        description: Asset network name or CAIP identifier
                      decimals:
                        type: number
                        description: Asset decimals
                      amount:
                        type: string
                        description: Amount in base units
                    required:
                      - address
                      - network
                      - decimals
                      - amount
                    additionalProperties: false
                    description: Position that will be received
                  receivedAssetValue:
                    type: object
                    properties:
                      address:
                        type: string
                        pattern: ^0x[a-fA-F0-9]{40}$
                        description: Asset contract address
                      network:
                        type: string
                        enum:
                          - mainnet
                          - optimism
                          - arbitrum
                          - polygon
                          - gnosis
                          - base
                          - unichain
                          - swellchain
                          - celo
                          - worldchain
                          - berachain
                          - ink
                          - bsc
                          - hyperliquid
                          - plasma
                          - avalanche
                          - katana
                          - linea
                          - mega-eth
                          - monad
                          - etherlink
                          - eip155:1
                          - eip155:10
                          - eip155:42161
                          - eip155:137
                          - eip155:100
                          - eip155:8453
                          - eip155:130
                          - eip155:1923
                          - eip155:42220
                          - eip155:480
                          - eip155:80094
                          - eip155:57073
                          - eip155:56
                          - eip155:999
                          - eip155:9745
                          - eip155:43114
                          - eip155:747474
                          - eip155:59144
                          - eip155:4326
                          - eip155:143
                          - eip155:42793
                        description: Asset network name or CAIP identifier
                      decimals:
                        type: number
                        description: Asset decimals
                      amount:
                        type: string
                        description: Amount in base units
                    required:
                      - address
                      - network
                      - decimals
                      - amount
                    additionalProperties: false
                    description: Underlying asset value of the received position
                  expirationTimestamp:
                    type: number
                    description: Timestamp when the quote expires
                  originalQuote:
                    description: Original quote data from the intent service
                required:
                  - payloadToSign
                  - fees
                  - totalCost
                  - receivedPosition
                  - receivedAssetValue
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Bad Request
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Unauthorized
                      message:
                        type: string
                        enum:
                          - >-
                            An API key is required to access this service. Sign
                            up at https://portal.vaults.fyi/signup to generate a
                            key. We offer a Pay-As-You-Go plan so you only pay
                            for what you use, with no commitments.
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '402':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      x402Version:
                        anyOf:
                          - type: number
                          - type: string
                      error:
                        type: string
                      resource:
                        type: object
                        properties:
                          url:
                            type: string
                          description:
                            type: string
                          mimeType:
                            type: string
                          serviceName:
                            type: string
                          tags:
                            type: array
                            items:
                              type: string
                          iconUrl:
                            type: string
                        required:
                          - url
                        additionalProperties: false
                      accepts:
                        anyOf:
                          - type: array
                            items:
                              type: object
                              properties:
                                scheme:
                                  type: string
                                  enum:
                                    - exact
                                network:
                                  type: string
                                amount:
                                  type: string
                                payTo:
                                  type: string
                                maxTimeoutSeconds:
                                  type: number
                                asset:
                                  type: string
                                extra:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                    version:
                                      type: string
                                  required:
                                    - name
                                    - version
                                  additionalProperties: false
                              required:
                                - scheme
                                - network
                                - amount
                                - payTo
                                - maxTimeoutSeconds
                                - asset
                              additionalProperties: false
                          - {}
                      extensions:
                        type: object
                        additionalProperties: {}
                    required:
                      - x402Version
                      - resource
                    additionalProperties: false
                  - {}
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Forbidden
                      message:
                        type: string
                        enum:
                          - >-
                            This API key has exhausted its available credits. To
                            resume service, please visit
                            https://portal.vaults.fyi/signup to top-up your
                            credits
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - Not Found
                  message:
                    type: string
                required:
                  - error
                  - message
                additionalProperties: false
        '408':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      message:
                        type: string
                      errorId:
                        type: string
                    additionalProperties: false
                  - {}
        '422':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Unprocessable Entity
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: string
                        enum:
                          - Internal Server Error
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - error
                      - message
                    additionalProperties: false
                  - {}
        '503':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      statusCode:
                        type: number
                      error:
                        type: string
                        enum:
                          - Service Unavailable
                      message:
                        type: string
                      errorId:
                        type: string
                    required:
                      - statusCode
                      - error
                      - message
                    additionalProperties: false
                  - {}
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````